%Sellmeier equation

c_light = 2.99793e-7;       %[km/ps] speed of light

b1=0.6961663;
b2=0.4079426;
b3=0.8974794;

lambda1 = 68.4043;%[nm]
lambda2 = 116.2414;%[nm]
lambda3 = 9896.161;%[nm]

lambda = 500:1710; %[nm]

r1 = b1./(1-(lambda1./lambda).^2);
r2 = b2./(1-(lambda2./lambda).^2);
r3 = b3./(1-(lambda3./lambda).^2);

n = sqrt(1+r1+r2+r3);

figure(1)
plot(lambda,n)

%ng1 = n - lambda.*diff(n);
ng2 = n - lambda.*gradient(n);

a = 4000; % core radius in [nm]
n1 = 1.447
D_m = gradient(ng2)/c_light; % Material Dispersion [ps/nm.km]
D_w = -0.9960^2*lambda/(c_light*4*pi^2*a^2*n1); % Waveguide Dispersion [ps/nm.km]
D_total = D_m+D_w;

figure(2)
plot(lambda,ng2)

figure(3)
plot(lambda,n,lambda,ng2,'r')

figure(4)
plot(lambda,D_m,lambda,D_w,'r',lambda,D_total,'k')
axis([1100  1700  -30 30])
