% Fig6-9, Fig6-10 & Fig6-11
% max L for Loss-limited System & Dispersion limited system
clear all

% fiber loss
alpha_f1=2.5; % 0.8um
alpha_f2=0.4; % 1.3um
alpha_f3=0.25; % 1.55um

B = logspace(5, 10); % Bit rate
Lmax1 = (84.9-5*log10(B))/alpha_f1;
Lmax2 = (84.9-5*log10(B))/alpha_f2;
Lmax3 = (84.9-5*log10(B))/alpha_f3;

figure(1)
semilogx(B,Lmax1,B,Lmax2,B,Lmax3)
grid on
xlabel('B [bits/s]','FontSize',16)
ylabel('L_m_a_x [km]','FontSize',16)


NA=0.275; 
c=3e5; %[km/s]
n2=1.487; % for step index MM
N1=1.485; % for graded-index MM

B2 = logspace(6, 10); % Bit rate
Lmm1 = c*n2./(2*NA*NA*B2);
Lmm2 = 8*c*N1^3./(NA^4*B2);

figure(2)
semilogx(B2,Lmm1,B2,Lmm2,B,Lmax1)
axis([1e6 1e10 0 50])
grid on
xlabel('B [bits/s]','FontSize',16)
ylabel('L_m_a_x [km]','FontSize',16)


D = 16e-12; % 16s/[km nm]
d_lambda1 = 50; %[nm]
d_lambda2 = 5; %[nm]
d_lambda3 = .1; %[nm]

Lsm1=1./(4*D*d_lambda1.*B2);
Lsm2=1./(4*D*d_lambda2.*B2);
Lsm3=1./(4*D*d_lambda3.*B2);

figure(3)
semilogx(B,Lmax3,B2,Lsm1, B2,Lsm2,B2,Lsm3)
axis([1e6 1e10 0 300])
grid on
xlabel('B [bits/s]','FontSize',16)
ylabel('L_m_a_x [km]','FontSize',16)
